﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net48</TargetFramework>
    <LangVersion>latest</LangVersion>
    <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
    <Platforms>AnyCPU;x64</Platforms>
    <Title>NativeFx.Interop.SHVDN3</Title>
  </PropertyGroup>

  <!-- Versions -->
  <PropertyGroup>
    <VersionPrefix>0.3.0</VersionPrefix>
    <Authors>WithLithum</Authors>
    <Description>Provides programmatically generated wrappers of GTA5 natives for use with ScriptHookVDotNet3</Description>
    <PackageTags>shvdn3;shvdn;gta5;gtav;scripthookvdotnet;scripthookvdotnet3</PackageTags>
    <PackageReleaseNotes>Use split generator - warning breaking</PackageReleaseNotes>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <Copyright>(C) WithLithum 2022, 2023.</Copyright>
    <RepositoryUrl>https://gitlab.com/NexusKrop/nativefx/interop</RepositoryUrl>
    <PackageLicenseExpression>MIT</PackageLicenseExpression>
    <PackageRequireLicenseAcceptance>True</PackageRequireLicenseAcceptance>
    <PackageReadmeFile>README.md</PackageReadmeFile>
  </PropertyGroup>
  <ItemGroup>
    <None Include="..\README.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="ScriptHookVDotNet3" Version="3.5.1" />
  </ItemGroup>

  <Import Project="..\NativeFx.Interop.Shared\NativeFx.Interop.Shared.projitems" Label="Shared" />

</Project>
